[Vm-dev] [commit] r2542 - Edit the nsvmlinux tree in the mvm build script, not the mkvmarchives script.

commits at squeakvm.org commits at squeakvm.org
Thu Apr 5 01:40:26 UTC 2012


Author: eliot
Date: 2012-04-04 18:40:25 -0700 (Wed, 04 Apr 2012)
New Revision: 2542

Modified:
   branches/Cog/nscogbuild/unixbuild/bld/mvm
   branches/Cog/scripts/mkvmarchives
   branches/Cog/scripts/uploadvms
Log:
Edit the nsvmlinux tree in the mvm build script, not the mkvmarchives script.
Make uploadvms check for the NS .dmg and .msi


Modified: branches/Cog/nscogbuild/unixbuild/bld/mvm
===================================================================
--- branches/Cog/nscogbuild/unixbuild/bld/mvm	2012-04-03 21:27:55 UTC (rev 2541)
+++ branches/Cog/nscogbuild/unixbuild/bld/mvm	2012-04-05 01:40:25 UTC (rev 2542)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # Some gcc versions create a broken VM using -O2
 case `gcc -v 2>&1 | grep version | sed 's/gcc version *//'` in
 3.4.*)	OPT=-O1;;
@@ -11,3 +11,24 @@
 # would prefer make install prefix=`readlink -f \`pwd\`/../../../nsvmlinux`
 # but older linux readlinks lack the -f flag
 make install prefix=`(cd ../../../;pwd)`/nsvmlinux
+(cd ../../../nsvmlinux
+ if [ -f squeak ]; then
+        mv squeak nsvm
+        ex -u NONE "+g/squeak/s/squeak/nsvm/g" +w +q nsvm
+  fi
+  if [ -f bin/squeak ]; then
+        mv bin/squeak bin/nsvm
+        ex -u NONE "+g/squeak/s/squeak/nsvm/g" +w +q bin/nsvm
+  fi
+  rm -rf man doc
+  LIBDIR="`echo lib/squeak/[0-9.-]*`"
+  test -f $LIBDIR/squeak && mv $LIBDIR/squeak $LIBDIR/nsvm
+  test -d lib/squeak && mv lib/squeak lib/nsvm
+  LIBDIR="`echo lib/nsvm/[0-9.-]*`"
+  if [ -h ~/Squeak/SqueakV41.sources ]; then
+	ln "`readlink ~/Squeak/SqueakV41.sources`" $LIBDIR
+  elif [ -f ~/Squeak/SqueakV41.sources ]; then
+	ln ~/Squeak/SqueakV41.sources $LIBDIR
+  else
+	echo "can't find SqueakV41.sources" 1>&2
+  fi)

Modified: branches/Cog/scripts/mkvmarchives
===================================================================
--- branches/Cog/scripts/mkvmarchives	2012-04-03 21:27:55 UTC (rev 2541)
+++ branches/Cog/scripts/mkvmarchives	2012-04-05 01:40:25 UTC (rev 2542)
@@ -92,20 +92,6 @@
 	EXES="$EXES	cogmtwin/Croquet.exe"
 fi
 if [ -n "$NL" ]; then
-	if [ -f nsvmlinux/squeak ]; then
-		mv nsvmlinux/squeak nsvmlinux/nsvm
-		ex -u NONE "+g/squeak/s/squeak/nsvm/g" +w +q nsvmlinux/nsvm
-	fi
-	if [ -f nsvmlinux/bin/squeak ]; then
-		mv nsvmlinux/bin/squeak nsvmlinux/bin/nsvm
-		ex -u NONE "+g/squeak/s/squeak/nsvm/g" +w +q nsvmlinux/bin/nsvm
-	fi
-	test -d nsvmlinux/lib/squeak && mv nsvmlinux/lib/squeak nsvmlinux/lib/nsvm
-	LIBDIR="`echo nsvmlinux/lib/nsvm/[0-9.-]*`"
-	test -f $LIBDIR/squeak && mv $LIBDIR/squeak $LIBDIR/nsvm
-	rm -f nsvmlinux/lib/nsvm/npsqueak* $LIBDIR/npsqueak.so
-	ln ~/Squeak/SqueakV41.sources $LIBDIR
-
 	rm -rf nsvmlinux.tgz nsvmlinux-`date +%g.%U.$REV`.tgz
 	COPYFILE_DISABLE=1 tar czf nsvmlinux-`date +%g.%U.$REV`.tgz nsvmlinux
 	EXES="$EXES	$LIBDIR/nsvm"
@@ -122,7 +108,6 @@
 	rm -rf nsvmwin/* nsvmwin.zip
 	ln $NSB/cygwinbuild/build/vm/{nsvm.exe,nsvm.map} nsvmwin
 	ln $NSB/cygwinbuild/build/vm/*.dll nsvmwin
-	tar czf Newspeak\ Virtual\ Machine.app.tgz Newspeak\ Virtual\ Machine.app
 	zip -vr nsvmwin.zip nsvmwin
 	EXES="$EXES	nsvmwin/nsvm.exe"
 fi

Modified: branches/Cog/scripts/uploadvms
===================================================================
--- branches/Cog/scripts/uploadvms	2012-04-03 21:27:55 UTC (rev 2541)
+++ branches/Cog/scripts/uploadvms	2012-04-05 01:40:25 UTC (rev 2542)
@@ -19,9 +19,13 @@
 NSARCS="Newspeak Virtual Machine-$TAG.dmg	nsvmlinux-$TAG.tgz	nsvm-$TAG.msi"
 NMARCS="Newspeak Virtual MachineMT-$TAG.dmg	nsvmmtlinux-$TAG.tgz	nsvmmt-$TAG.msi"
 if [ $# = 0 ]; then
-ARCHIVES="$CSARCS	$CMARCS		$NSARCS"
+	ARCHIVES="$CSARCS	$CMARCS		$NSARCS"
+	CheckDMG=1
+	CheckMSI=1
 else
-ARCHIVES=
+	ARCHIVES=
+	CheckDMG=
+	CheckMSI=
 	while [ -n "$1" ]; do
 		case $1 in
 		-r)		REV=$1;;
@@ -33,18 +37,40 @@
 		-ctm)	ARCHIVES="$ARCHIVES	CogMT.app.tgz";;
 		-ctw)	ARCHIVES="$ARCHIVES	cogmtwin.zip";;
 		-nl)	ARCHIVES="$ARCHIVES	nsvmlinux-$TAG.tgz";;
-		-nm)	ARCHIVES="$ARCHIVES	Newspeak Virtual Machine-$TAG.dmg";;
-		-nw)	ARCHIVES="$ARCHIVES	nsvm-$TAG.msi";;
+		-nm)	ARCHIVES="$ARCHIVES	Newspeak Virtual Machine-$TAG.dmg"
+				CheckDMG=1;;
+		-nw)	ARCHIVES="$ARCHIVES	nsvm-$TAG.msi"
+				CheckMSI=1;;
 		-n)		ARCHIVES="$ARCHIVES		$NSARCS";;
 		-l)		ARCHIVES="$ARCHIVES	coglinux.tgz	cogmtlinux.tgz	nsvmlinux-$TAG.tgz";;
-		-m)		ARCHIVES="$ARCHIVES	Cog.app.tgz	CogMT.app.tgz	Newspeak Virtual Machine-$TAG.dmg";;
-		-w)		ARCHIVES="$ARCHIVES	cogwin.tgz	cogmtwin.zip	nsvm-$TAG.msi";;
+		-m)		ARCHIVES="$ARCHIVES	Cog.app.tgz	CogMT.app.tgz	Newspeak Virtual Machine-$TAG.dmg"
+				CheckDMG=1;;
+		-w)		ARCHIVES="$ARCHIVES	cogwin.tgz	cogmtwin.zip	nsvm-$TAG.msi"
+				CheckMSI=1;;
 		-?|-h)  echo usage: $0 [-l -m -w -cl -cm -cw -ctl -ctm -ctw -nl -nm -nw]; exit 0;;
 		*)	break
 		esac
 		shift
 	done
 fi
+if [ -n "$CheckDMG" -a ! -f "Newspeak Virtual Machine-$TAG.dmg" ]; then
+	NMID=nscogbuild/macbuild/installer
+	if [ -f "$NMID/Newspeak Virtual Machine-$TAG.dmg" ]; then
+		ln "$NMID/Newspeak Virtual Machine-$TAG.dmg" .
+	else
+		echo Newspeak Virtual Machine-$TAG.dmg is missing 1>&2
+		exit 1
+	fi
+fi
+if [ -n "$CheckMSI" -a ! -f nsvm-$TAG.msi ]; then
+	NWID=nscogbuild/cygwinbuild/installer
+	if [ -f "$NWID/nsvm-$TAG.msi" ]; then
+		ln "$NWID/nsvm-$TAG.msi" .
+	else
+		echo nsvm-$TAG.msi is missing 1>&2
+		exit 1
+	fi
+fi
 if [ ! -f README.$REV ]; then
 	cat <<END >README.$REV
 N.B. For Squeak/Pharo/Croquet please use the archives whose names begin with



More information about the Vm-dev mailing list